package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 老师默认VIP课薪酬表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("teacher_default_vip_group_salary")
public class TeacherDefaultVipGroupSalary extends Model<TeacherDefaultVipGroupSalary> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 课程类型
     */
    @TableField("vip_group_category_id_")
    private String vipGroupCategoryId;
    /**
     * 线上课薪酬
     */
    @TableField("online_classes_salary_")
    private BigDecimal onlineClassesSalary;
    /**
     * 线下课薪酬
     */
    @TableField("offline_classes_salary_")
    private BigDecimal offlineClassesSalary;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;


    public Long getId() {
        return id;
    }

    public TeacherDefaultVipGroupSalary setId(Long id) {
        this.id = id;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public TeacherDefaultVipGroupSalary setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getVipGroupCategoryId() {
        return vipGroupCategoryId;
    }

    public TeacherDefaultVipGroupSalary setVipGroupCategoryId(String vipGroupCategoryId) {
        this.vipGroupCategoryId = vipGroupCategoryId;
        return this;
    }

    public BigDecimal getOnlineClassesSalary() {
        return onlineClassesSalary;
    }

    public TeacherDefaultVipGroupSalary setOnlineClassesSalary(BigDecimal onlineClassesSalary) {
        this.onlineClassesSalary = onlineClassesSalary;
        return this;
    }

    public BigDecimal getOfflineClassesSalary() {
        return offlineClassesSalary;
    }

    public TeacherDefaultVipGroupSalary setOfflineClassesSalary(BigDecimal offlineClassesSalary) {
        this.offlineClassesSalary = offlineClassesSalary;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public TeacherDefaultVipGroupSalary setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public TeacherDefaultVipGroupSalary setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "TeacherDefaultVipGroupSalary{" +
        ", id=" + id +
        ", userId=" + userId +
        ", vipGroupCategoryId=" + vipGroupCategoryId +
        ", onlineClassesSalary=" + onlineClassesSalary +
        ", offlineClassesSalary=" + offlineClassesSalary +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}
